# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: TemperatureControlServicer.proto

import sys
_b=sys.version_info[0]<3 and (lambda x:x) or (lambda x:x.encode('latin1'))
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


import sila2lib.framework.SiLAFramework_pb2 as SiLAFramework__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='TemperatureControlServicer.proto',
  package='sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1',
  syntax='proto3',
  serialized_options=None,
  serialized_pb=_b('\n TemperatureControlServicer.proto\x12<sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1\x1a\x13SiLAFramework.proto\"V\n\x1eSetPointTemperature_Parameters\x12\x34\n\x0eSetTemperature\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"Z\n\x1dSetPointTemperature_Responses\x12\x39\n\x11SetTemperatureSet\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"^\n!SetUpperLimTemperature_Parameters\x12\x39\n\x13UpperLimTemperature\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"b\n SetUpperLimTemperature_Responses\x12>\n\x16UpperLimTemperatureSet\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"^\n!SetLowerLimTemperature_Parameters\x12\x39\n\x13LowerLimTemperature\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"b\n SetLowerLimTemperature_Responses\x12>\n\x16LowerLimTemperatureSet\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"#\n!GetFeedLineTemperature_Parameters\"f\n GetFeedLineTemperature_Responses\x12\x42\n\x1a\x43urrentFeedLineTemperature\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"#\n!GetSetpointTemperature_Parameters\"f\n GetSetpointTemperature_Responses\x12\x42\n\x1a\x43urrentTemperatureSetpoint\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"#\n!GetUpperLimTemperature_Parameters\"f\n GetUpperLimTemperature_Responses\x12\x42\n\x1a\x43urrentUpperLimTemperature\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"#\n!GetLowerLimTemperature_Parameters\"f\n GetLowerLimTemperature_Responses\x12\x42\n\x1a\x43urrentLowerLimTemperature\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String2\xa5\x0c\n\x1aTemperatureControlServicer\x12\xd2\x01\n\x13SetPointTemperature\x12\\.sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.SetPointTemperature_Parameters\x1a[.sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.SetPointTemperature_Responses\"\x00\x12\xdb\x01\n\x16SetUpperLimTemperature\x12_.sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.SetUpperLimTemperature_Parameters\x1a^.sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.SetUpperLimTemperature_Responses\"\x00\x12\xdb\x01\n\x16SetLowerLimTemperature\x12_.sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.SetLowerLimTemperature_Parameters\x1a^.sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.SetLowerLimTemperature_Responses\"\x00\x12\xdb\x01\n\x16GetFeedLineTemperature\x12_.sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.GetFeedLineTemperature_Parameters\x1a^.sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.GetFeedLineTemperature_Responses\"\x00\x12\xdb\x01\n\x16GetSetpointTemperature\x12_.sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.GetSetpointTemperature_Parameters\x1a^.sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.GetSetpointTemperature_Responses\"\x00\x12\xdb\x01\n\x16GetUpperLimTemperature\x12_.sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.GetUpperLimTemperature_Parameters\x1a^.sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.GetUpperLimTemperature_Responses\"\x00\x12\xdb\x01\n\x16GetLowerLimTemperature\x12_.sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.GetLowerLimTemperature_Parameters\x1a^.sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.GetLowerLimTemperature_Responses\"\x00\x62\x06proto3')
  ,
  dependencies=[SiLAFramework__pb2.DESCRIPTOR,])




_SETPOINTTEMPERATURE_PARAMETERS = _descriptor.Descriptor(
  name='SetPointTemperature_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.SetPointTemperature_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='SetTemperature', full_name='sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.SetPointTemperature_Parameters.SetTemperature', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=119,
  serialized_end=205,
)


_SETPOINTTEMPERATURE_RESPONSES = _descriptor.Descriptor(
  name='SetPointTemperature_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.SetPointTemperature_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='SetTemperatureSet', full_name='sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.SetPointTemperature_Responses.SetTemperatureSet', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=207,
  serialized_end=297,
)


_SETUPPERLIMTEMPERATURE_PARAMETERS = _descriptor.Descriptor(
  name='SetUpperLimTemperature_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.SetUpperLimTemperature_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UpperLimTemperature', full_name='sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.SetUpperLimTemperature_Parameters.UpperLimTemperature', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=299,
  serialized_end=393,
)


_SETUPPERLIMTEMPERATURE_RESPONSES = _descriptor.Descriptor(
  name='SetUpperLimTemperature_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.SetUpperLimTemperature_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UpperLimTemperatureSet', full_name='sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.SetUpperLimTemperature_Responses.UpperLimTemperatureSet', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=395,
  serialized_end=493,
)


_SETLOWERLIMTEMPERATURE_PARAMETERS = _descriptor.Descriptor(
  name='SetLowerLimTemperature_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.SetLowerLimTemperature_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='LowerLimTemperature', full_name='sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.SetLowerLimTemperature_Parameters.LowerLimTemperature', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=495,
  serialized_end=589,
)


_SETLOWERLIMTEMPERATURE_RESPONSES = _descriptor.Descriptor(
  name='SetLowerLimTemperature_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.SetLowerLimTemperature_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='LowerLimTemperatureSet', full_name='sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.SetLowerLimTemperature_Responses.LowerLimTemperatureSet', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=591,
  serialized_end=689,
)


_GETFEEDLINETEMPERATURE_PARAMETERS = _descriptor.Descriptor(
  name='GetFeedLineTemperature_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.GetFeedLineTemperature_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=691,
  serialized_end=726,
)


_GETFEEDLINETEMPERATURE_RESPONSES = _descriptor.Descriptor(
  name='GetFeedLineTemperature_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.GetFeedLineTemperature_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentFeedLineTemperature', full_name='sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.GetFeedLineTemperature_Responses.CurrentFeedLineTemperature', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=728,
  serialized_end=830,
)


_GETSETPOINTTEMPERATURE_PARAMETERS = _descriptor.Descriptor(
  name='GetSetpointTemperature_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.GetSetpointTemperature_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=832,
  serialized_end=867,
)


_GETSETPOINTTEMPERATURE_RESPONSES = _descriptor.Descriptor(
  name='GetSetpointTemperature_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.GetSetpointTemperature_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentTemperatureSetpoint', full_name='sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.GetSetpointTemperature_Responses.CurrentTemperatureSetpoint', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=869,
  serialized_end=971,
)


_GETUPPERLIMTEMPERATURE_PARAMETERS = _descriptor.Descriptor(
  name='GetUpperLimTemperature_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.GetUpperLimTemperature_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=973,
  serialized_end=1008,
)


_GETUPPERLIMTEMPERATURE_RESPONSES = _descriptor.Descriptor(
  name='GetUpperLimTemperature_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.GetUpperLimTemperature_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentUpperLimTemperature', full_name='sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.GetUpperLimTemperature_Responses.CurrentUpperLimTemperature', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1010,
  serialized_end=1112,
)


_GETLOWERLIMTEMPERATURE_PARAMETERS = _descriptor.Descriptor(
  name='GetLowerLimTemperature_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.GetLowerLimTemperature_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1114,
  serialized_end=1149,
)


_GETLOWERLIMTEMPERATURE_RESPONSES = _descriptor.Descriptor(
  name='GetLowerLimTemperature_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.GetLowerLimTemperature_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentLowerLimTemperature', full_name='sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.GetLowerLimTemperature_Responses.CurrentLowerLimTemperature', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1151,
  serialized_end=1253,
)

_SETPOINTTEMPERATURE_PARAMETERS.fields_by_name['SetTemperature'].message_type = SiLAFramework__pb2._REAL
_SETPOINTTEMPERATURE_RESPONSES.fields_by_name['SetTemperatureSet'].message_type = SiLAFramework__pb2._STRING
_SETUPPERLIMTEMPERATURE_PARAMETERS.fields_by_name['UpperLimTemperature'].message_type = SiLAFramework__pb2._REAL
_SETUPPERLIMTEMPERATURE_RESPONSES.fields_by_name['UpperLimTemperatureSet'].message_type = SiLAFramework__pb2._STRING
_SETLOWERLIMTEMPERATURE_PARAMETERS.fields_by_name['LowerLimTemperature'].message_type = SiLAFramework__pb2._REAL
_SETLOWERLIMTEMPERATURE_RESPONSES.fields_by_name['LowerLimTemperatureSet'].message_type = SiLAFramework__pb2._STRING
_GETFEEDLINETEMPERATURE_RESPONSES.fields_by_name['CurrentFeedLineTemperature'].message_type = SiLAFramework__pb2._STRING
_GETSETPOINTTEMPERATURE_RESPONSES.fields_by_name['CurrentTemperatureSetpoint'].message_type = SiLAFramework__pb2._STRING
_GETUPPERLIMTEMPERATURE_RESPONSES.fields_by_name['CurrentUpperLimTemperature'].message_type = SiLAFramework__pb2._STRING
_GETLOWERLIMTEMPERATURE_RESPONSES.fields_by_name['CurrentLowerLimTemperature'].message_type = SiLAFramework__pb2._STRING
DESCRIPTOR.message_types_by_name['SetPointTemperature_Parameters'] = _SETPOINTTEMPERATURE_PARAMETERS
DESCRIPTOR.message_types_by_name['SetPointTemperature_Responses'] = _SETPOINTTEMPERATURE_RESPONSES
DESCRIPTOR.message_types_by_name['SetUpperLimTemperature_Parameters'] = _SETUPPERLIMTEMPERATURE_PARAMETERS
DESCRIPTOR.message_types_by_name['SetUpperLimTemperature_Responses'] = _SETUPPERLIMTEMPERATURE_RESPONSES
DESCRIPTOR.message_types_by_name['SetLowerLimTemperature_Parameters'] = _SETLOWERLIMTEMPERATURE_PARAMETERS
DESCRIPTOR.message_types_by_name['SetLowerLimTemperature_Responses'] = _SETLOWERLIMTEMPERATURE_RESPONSES
DESCRIPTOR.message_types_by_name['GetFeedLineTemperature_Parameters'] = _GETFEEDLINETEMPERATURE_PARAMETERS
DESCRIPTOR.message_types_by_name['GetFeedLineTemperature_Responses'] = _GETFEEDLINETEMPERATURE_RESPONSES
DESCRIPTOR.message_types_by_name['GetSetpointTemperature_Parameters'] = _GETSETPOINTTEMPERATURE_PARAMETERS
DESCRIPTOR.message_types_by_name['GetSetpointTemperature_Responses'] = _GETSETPOINTTEMPERATURE_RESPONSES
DESCRIPTOR.message_types_by_name['GetUpperLimTemperature_Parameters'] = _GETUPPERLIMTEMPERATURE_PARAMETERS
DESCRIPTOR.message_types_by_name['GetUpperLimTemperature_Responses'] = _GETUPPERLIMTEMPERATURE_RESPONSES
DESCRIPTOR.message_types_by_name['GetLowerLimTemperature_Parameters'] = _GETLOWERLIMTEMPERATURE_PARAMETERS
DESCRIPTOR.message_types_by_name['GetLowerLimTemperature_Responses'] = _GETLOWERLIMTEMPERATURE_RESPONSES
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

SetPointTemperature_Parameters = _reflection.GeneratedProtocolMessageType('SetPointTemperature_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETPOINTTEMPERATURE_PARAMETERS,
  '__module__' : 'TemperatureControlServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.SetPointTemperature_Parameters)
  })
_sym_db.RegisterMessage(SetPointTemperature_Parameters)

SetPointTemperature_Responses = _reflection.GeneratedProtocolMessageType('SetPointTemperature_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETPOINTTEMPERATURE_RESPONSES,
  '__module__' : 'TemperatureControlServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.SetPointTemperature_Responses)
  })
_sym_db.RegisterMessage(SetPointTemperature_Responses)

SetUpperLimTemperature_Parameters = _reflection.GeneratedProtocolMessageType('SetUpperLimTemperature_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETUPPERLIMTEMPERATURE_PARAMETERS,
  '__module__' : 'TemperatureControlServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.SetUpperLimTemperature_Parameters)
  })
_sym_db.RegisterMessage(SetUpperLimTemperature_Parameters)

SetUpperLimTemperature_Responses = _reflection.GeneratedProtocolMessageType('SetUpperLimTemperature_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETUPPERLIMTEMPERATURE_RESPONSES,
  '__module__' : 'TemperatureControlServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.SetUpperLimTemperature_Responses)
  })
_sym_db.RegisterMessage(SetUpperLimTemperature_Responses)

SetLowerLimTemperature_Parameters = _reflection.GeneratedProtocolMessageType('SetLowerLimTemperature_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETLOWERLIMTEMPERATURE_PARAMETERS,
  '__module__' : 'TemperatureControlServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.SetLowerLimTemperature_Parameters)
  })
_sym_db.RegisterMessage(SetLowerLimTemperature_Parameters)

SetLowerLimTemperature_Responses = _reflection.GeneratedProtocolMessageType('SetLowerLimTemperature_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETLOWERLIMTEMPERATURE_RESPONSES,
  '__module__' : 'TemperatureControlServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.SetLowerLimTemperature_Responses)
  })
_sym_db.RegisterMessage(SetLowerLimTemperature_Responses)

GetFeedLineTemperature_Parameters = _reflection.GeneratedProtocolMessageType('GetFeedLineTemperature_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETFEEDLINETEMPERATURE_PARAMETERS,
  '__module__' : 'TemperatureControlServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.GetFeedLineTemperature_Parameters)
  })
_sym_db.RegisterMessage(GetFeedLineTemperature_Parameters)

GetFeedLineTemperature_Responses = _reflection.GeneratedProtocolMessageType('GetFeedLineTemperature_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETFEEDLINETEMPERATURE_RESPONSES,
  '__module__' : 'TemperatureControlServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.GetFeedLineTemperature_Responses)
  })
_sym_db.RegisterMessage(GetFeedLineTemperature_Responses)

GetSetpointTemperature_Parameters = _reflection.GeneratedProtocolMessageType('GetSetpointTemperature_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETSETPOINTTEMPERATURE_PARAMETERS,
  '__module__' : 'TemperatureControlServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.GetSetpointTemperature_Parameters)
  })
_sym_db.RegisterMessage(GetSetpointTemperature_Parameters)

GetSetpointTemperature_Responses = _reflection.GeneratedProtocolMessageType('GetSetpointTemperature_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETSETPOINTTEMPERATURE_RESPONSES,
  '__module__' : 'TemperatureControlServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.GetSetpointTemperature_Responses)
  })
_sym_db.RegisterMessage(GetSetpointTemperature_Responses)

GetUpperLimTemperature_Parameters = _reflection.GeneratedProtocolMessageType('GetUpperLimTemperature_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETUPPERLIMTEMPERATURE_PARAMETERS,
  '__module__' : 'TemperatureControlServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.GetUpperLimTemperature_Parameters)
  })
_sym_db.RegisterMessage(GetUpperLimTemperature_Parameters)

GetUpperLimTemperature_Responses = _reflection.GeneratedProtocolMessageType('GetUpperLimTemperature_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETUPPERLIMTEMPERATURE_RESPONSES,
  '__module__' : 'TemperatureControlServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.GetUpperLimTemperature_Responses)
  })
_sym_db.RegisterMessage(GetUpperLimTemperature_Responses)

GetLowerLimTemperature_Parameters = _reflection.GeneratedProtocolMessageType('GetLowerLimTemperature_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETLOWERLIMTEMPERATURE_PARAMETERS,
  '__module__' : 'TemperatureControlServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.GetLowerLimTemperature_Parameters)
  })
_sym_db.RegisterMessage(GetLowerLimTemperature_Parameters)

GetLowerLimTemperature_Responses = _reflection.GeneratedProtocolMessageType('GetLowerLimTemperature_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETLOWERLIMTEMPERATURE_RESPONSES,
  '__module__' : 'TemperatureControlServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.GetLowerLimTemperature_Responses)
  })
_sym_db.RegisterMessage(GetLowerLimTemperature_Responses)



_TEMPERATURECONTROLSERVICER = _descriptor.ServiceDescriptor(
  name='TemperatureControlServicer',
  full_name='sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.TemperatureControlServicer',
  file=DESCRIPTOR,
  index=0,
  serialized_options=None,
  serialized_start=1256,
  serialized_end=2829,
  methods=[
  _descriptor.MethodDescriptor(
    name='SetPointTemperature',
    full_name='sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.TemperatureControlServicer.SetPointTemperature',
    index=0,
    containing_service=None,
    input_type=_SETPOINTTEMPERATURE_PARAMETERS,
    output_type=_SETPOINTTEMPERATURE_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='SetUpperLimTemperature',
    full_name='sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.TemperatureControlServicer.SetUpperLimTemperature',
    index=1,
    containing_service=None,
    input_type=_SETUPPERLIMTEMPERATURE_PARAMETERS,
    output_type=_SETUPPERLIMTEMPERATURE_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='SetLowerLimTemperature',
    full_name='sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.TemperatureControlServicer.SetLowerLimTemperature',
    index=2,
    containing_service=None,
    input_type=_SETLOWERLIMTEMPERATURE_PARAMETERS,
    output_type=_SETLOWERLIMTEMPERATURE_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetFeedLineTemperature',
    full_name='sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.TemperatureControlServicer.GetFeedLineTemperature',
    index=3,
    containing_service=None,
    input_type=_GETFEEDLINETEMPERATURE_PARAMETERS,
    output_type=_GETFEEDLINETEMPERATURE_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetSetpointTemperature',
    full_name='sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.TemperatureControlServicer.GetSetpointTemperature',
    index=4,
    containing_service=None,
    input_type=_GETSETPOINTTEMPERATURE_PARAMETERS,
    output_type=_GETSETPOINTTEMPERATURE_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetUpperLimTemperature',
    full_name='sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.TemperatureControlServicer.GetUpperLimTemperature',
    index=5,
    containing_service=None,
    input_type=_GETUPPERLIMTEMPERATURE_PARAMETERS,
    output_type=_GETUPPERLIMTEMPERATURE_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetLowerLimTemperature',
    full_name='sila2.biovt.mw.tum.de.examples.temperaturecontrolservicer.v1.TemperatureControlServicer.GetLowerLimTemperature',
    index=6,
    containing_service=None,
    input_type=_GETLOWERLIMTEMPERATURE_PARAMETERS,
    output_type=_GETLOWERLIMTEMPERATURE_RESPONSES,
    serialized_options=None,
  ),
])
_sym_db.RegisterServiceDescriptor(_TEMPERATURECONTROLSERVICER)

DESCRIPTOR.services_by_name['TemperatureControlServicer'] = _TEMPERATURECONTROLSERVICER

# @@protoc_insertion_point(module_scope)
